Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.util
Class Assert

    java.lang.Object
      |
      +--org.mozilla.jss.util.Assert

public class Assert
extends java.lang.Object

C-style assertions in Java. These methods are only active in debug mode (org.mozilla.jss.Debug.DEBUG==true).

See Also:
  `Debug`, `AssertionException`

Constructor Summary
`Assert()`

Method Summary
`static void` | `_assert(boolean cond)` Assert that a condition is true.
`static void` | `_assert(boolean cond, java.lang.String msg)` Assert that a condition is true.
`static void` | `assert(boolean cond)` Deprecated. "assert" is a keyword under JDK 1.4. Use "_assert" instead.
`static void` | `assert(boolean cond, java.lang.String msg)` Deprecated. "assert" is a keyword under JDK 1.4. Use "_assert" instead.
`static void` | `notReached()` Throw an AssertionException if this statement is reached.
`static void` | `notReached(java.lang.String msg)` Throw an AssertionException if this statement is reached.
`static void` | `notYetImplemented(java.lang.String msg)` Throw an AssertionException because functionlity is not yet implemented.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Assert

    public Assert()

Method Detail

### assert

    public static void assert(boolean cond)

  Deprecated. "assert" is a keyword under JDK 1.4. Use "_assert" instead.

  Assert that a condition is true. If it is not true, abort by throwing an AssertionException.

  Parameters:
    `cond` - The condition that is being tested.

### assert

    public static void assert(boolean cond,
                              java.lang.String msg)

  Deprecated. "assert" is a keyword under JDK 1.4. Use "_assert" instead.

  Assert that a condition is true. If it is not true, abort by throwing an AssertionException.

  Parameters:
    `cond` - The condition that is being tested.
    `msg` - A message describing what is wrong if the condition is false.

### _assert

    public static void _assert(boolean cond)

  Assert that a condition is true. If it is not true, abort by throwing an AssertionException.

  Parameters:
    `cond` - The condition that is being tested.

### _assert

    public static void _assert(boolean cond,
                               java.lang.String msg)

  Assert that a condition is true. If it is not true, abort by throwing an AssertionException.

  Parameters:
    `cond` - The condition that is being tested.
    `msg` - A message describing what is wrong if the condition is false.

### notReached

    public static void notReached(java.lang.String msg)

  Throw an AssertionException if this statement is reached.

  Parameters:
    `msg` - A message describing what was reached.

### notReached

    public static void notReached()

  Throw an AssertionException if this statement is reached.

### notYetImplemented

    public static void notYetImplemented(java.lang.String msg)

  Throw an AssertionException because functionlity is not yet implemented.

  Parameters:
    `msg` - A message describing what is not implemented.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD